FullWrtTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
FullWrtTextInternal::State Struct Reference

Internal: the state of a FullWrtText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::multimap< int, shared_ptr< Zone > > | m_entryMap
| zoneId -> entry More...
std::map< int, Paragraph > | m_paragraphMap
| rulerId -> ruler More...
std::map< int, Item > | m_itemMap
| itemId -> item More...
std::map< int, DataModifier > | m_dataModMap
| modId -> font/paragraph modifier More...
std::vector< ParaModifier > | m_paragraphModList
| a list of paragraph modifier More...
std::vector< int > | m_mainZones
| the main zone index More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a FullWrtText.

## Constructor & Destructor Documentation

## § State()

FullWrtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_actualPage

int FullWrtTextInternal::State::m_actualPage

## § m_dataModMap

std::map<int, DataModifier> FullWrtTextInternal::State::m_dataModMap

modId -> font/paragraph modifier

## § m_entryMap

std::multimap<int, shared_ptr<Zone> > FullWrtTextInternal::State::m_entryMap

zoneId -> entry

## § m_itemMap

std::map<int, Item> FullWrtTextInternal::State::m_itemMap

itemId -> item

## § m_mainZones

std::vector<int> FullWrtTextInternal::State::m_mainZones

the main zone index

## § m_numPages

int FullWrtTextInternal::State::m_numPages

## § m_paragraphMap

std::map<int, Paragraph> FullWrtTextInternal::State::m_paragraphMap

rulerId -> ruler

## § m_paragraphModList

std::vector<ParaModifier> FullWrtTextInternal::State::m_paragraphModList

a list of paragraph modifier

## § m_version

int FullWrtTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- FullWrtText.cxx